Subject: Re: [PATCH 15/24] powerpc: early debug forces console log level to max

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 01 Dec 2007 07:56:25 +1100

On Fri, 2007-11-30 at 13:10 -0600, T Ziomek wrote:
> > This patch makes the early debug option force the console loglevel
> > to the max. The early debug option is meant to catch messages very
> > early in the kernel boot process, in many cases, before the kernel
> > has a chance to parse the "debug" command line argument. Thus it
> > makes sense when CONFIG_PPC_EARLY_DEBUG is set, to force the console
> > log level to the max at boot time.
>   . . .
> > +#ifdef CONFIG_PPC_EARLY_DEBUG
> > +     console_loglevel = 10;
> > +#endif
> > }
> 
> The change makes sense, but wouldn't it also make sense to note it in
> arch/powerpc/Kconfig.debug?  Otherwise it's really hard to figure out
> why,
> after bringing up a new board, removing "debug" from the kernel cmd
> line
> does, well, nothing.

Possibly, though you aren't supposed to leave EARLY_DEBUG enabled
once you are done debugging :-)

Ben.